from math import sqrt
from random import Random

class Punkt():
    ''' En klasse for punkt i et 2D koordinatsystem
        Felt x - et tall
        Felt y - et tall
    '''
    def __init__(this, x, y):
        this.x = x
        this.y = y

    def __str__(this):
        return f'({this.x},{this.y})'

    def avstand(this, annetpunkt):
        '''Beregner avstanden fra dette punktet til et annet (argumentet)'''
        return sqrt((this.x - annetpunkt.x)**2 + (this.y - annetpunkt.y)**2)

rnd = Random()
antall = 10000000
sentrum = Punkt(0, 0)
radius = 1
innenfor = 0
for forsøk in range(antall):
    x = rnd.uniform(-1.0, +1.0)
    y = rnd.uniform(-1.0, +1.0)
    pkt = Punkt(x, y)
    if pkt.avstand(sentrum) <= radius:
        innenfor += 1

print(f'Av {antall} forsøk, kom {innenfor} innenfor sirkelen, dvs pi er tilnærmet {4*innenfor/antall}')

from math import pi
print (pi)